% Load data from CSV file
data = readtable('solid_3.csv');%replace with your file name

% Extract relevant column
flux = data.PhysHall_G;    % Flux in Gauss

% Compute mean flux
mean_flux = mean(flux);

% Compute standard deviation (σ)
std_flux = std(flux);

% Compute standard error (SE)
SE_flux = std_flux / sqrt(length(flux));

% Compute percentage error
percentage_error = (std_flux / mean_flux) * 100;

% Display results
fprintf('Mean Flux: %.5f\n', mean_flux);
fprintf('Standard Deviation: %.5f\n', std_flux);
fprintf('Standard Error: %.5f\n', SE_flux);
fprintf('Percentage Error: %.2f%%\n', percentage_error);

% Plot flux vs. time with error bars
figure;
plot(time, flux, 'b');
hold on;
yline(mean_flux, 'r--', 'Mean Flux'); % Plot mean line
xlabel('Time (s)');
ylabel('Flux (G)');
title('Flux vs Time with Error Analysis');
grid on;
hold off;